# Generated by Django 3.2.9 on 2021-12-02 19:09

from django.db import migrations, models
import django.db.models.deletion
import django.db.models.manager
import paper_uploads.models.fields.collection
import paper_uploads.models.fields.file
import paper_uploads.models.fields.image
import paper_uploads.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('paper_uploads', '0007_alter_collection_options'),
    ]

    operations = [
        migrations.CreateModel(
            name='CollectionDefinition',
            fields=[
            ],
            options={
                'proxy': True,
                'default_permissions': (),
                'indexes': [],
                'constraints': [],
            },
            bases=('paper_uploads.collection',),
            managers=[
                ('default_mgr', django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('collection', paper_uploads.models.fields.collection.CollectionField(on_delete=django.db.models.deletion.SET_NULL, to='validators.collectiondefinition', verbose_name='collection')),
                ('filter_ext', paper_uploads.models.fields.file.FileField(blank=True, help_text='Only `pdf`, `txt` and `doc` allowed', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.uploadedfile', validators=[paper_uploads.validators.ExtensionValidator(['.pdf', '.txt', '.doc'])], verbose_name='extension')),
                ('filter_max_size', paper_uploads.models.fields.image.ImageField(blank=True, help_text='Image should be at most 1024x768 pixels', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.uploadedimage', validators=[paper_uploads.validators.ImageMaxSizeValidator(1024, 768)], verbose_name='maximum size')),
                ('filter_mime', paper_uploads.models.fields.file.FileField(blank=True, help_text='Only `image/svg+xml` and `image/gif` allowed', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.uploadedfile', validators=[paper_uploads.validators.MimeTypeValidator(['image/svg+xml', 'image/gif'])], verbose_name='MIME type')),
                ('filter_min_size', paper_uploads.models.fields.image.ImageField(blank=True, help_text='Image should be at least 640x480 pixels', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.uploadedimage', validators=[paper_uploads.validators.ImageMinSizeValidator(640, 480)], verbose_name='minimum size')),
                ('filter_size', paper_uploads.models.fields.file.FileField(blank=True, help_text='Maximum file size is 16Kb', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.uploadedfile', validators=[paper_uploads.validators.SizeValidator('16kb')], verbose_name='size')),
            ],
            options={
                'verbose_name': 'Page',
            },
        ),
    ]
